Generation Framework

## org.eclipse.gmf.mappings
Interface MappingEntry

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  LinkMapping, NodeMapping

All Known Implementing Classes:
  LinkMappingImpl, MappingEntryImpl, NodeMappingImpl

    public interface MappingEntry

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Entry'.

The following features are supported:

- `Domain Meta Element`
- `Domain Specialization`
- `Domain Initializer`
- `Label Mappings`
- `Related Diagrams`

See Also:
  `GMFMapPackage.getMappingEntry()`
** Generated **
Model:
  abstract="true"

Method Summary
`org.eclipse.emf.ecore.EClass` `getDomainContext()` This method simplifies OCL expressions (makes it easy to write for both Node and Link)
`ElementInitializer` `getDomainInitializer()` Returns the value of the 'Domain Initializer' containment reference
`org.eclipse.emf.ecore.EClass` `getDomainMetaElement()` Returns the value of the 'Domain Meta Element' reference
`Constraint` `getDomainSpecialization()` Returns the value of the 'Domain Specialization' containment reference
`org.eclipse.emf.common.util.EList<LabelMapping>` `getLabelMappings()` Returns the value of the 'Label Mappings' containment reference list.
`org.eclipse.emf.common.util.EList<CanvasMapping>` `getRelatedDiagrams()` Returns the value of the 'Related Diagrams' reference list.
`void` `setDomainInitializer(ElementInitializer value)` Sets the value of the '`Domain Initializer`' containment reference
`void` `setDomainMetaElement(org.eclipse.emf.ecore.EClass value)` Sets the value of the '`Domain Meta Element`' reference
`void` `setDomainSpecialization(Constraint value)` Sets the value of the '`Domain Specialization`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDomainMetaElement

    org.eclipse.emf.ecore.EClass getDomainMetaElement()

  Returns the value of the 'Domain Meta Element' reference.

  If the meaning of the 'Domain Meta Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Meta Element' reference.
  See Also:
    `setDomainMetaElement(EClass)`, `GMFMapPackage.getMappingEntry_DomainMetaElement()`
  ** Generated **
  Model:

### setDomainMetaElement

    void setDomainMetaElement(org.eclipse.emf.ecore.EClass value)

  Sets the value of the '`Domain Meta Element`' reference.

  Parameters:
    `value` - the new value of the 'Domain Meta Element' reference.
  See Also:
    `getDomainMetaElement()`
  ** Generated **

### getDomainSpecialization

    Constraint getDomainSpecialization()

  Returns the value of the 'Domain Specialization' containment reference. Specializes further the domain meta element EClass associated with this mapping and should be evaluated in this EClass context

  Returns:
    the value of the 'Domain Specialization' containment reference.
  See Also:
    `setDomainSpecialization(Constraint)`, `GMFMapPackage.getMappingEntry_DomainSpecialization()`
  ** Generated **
  Model:
    containment="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='self.getDomainContext()'" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not domainSpecialization.oclIsUndefined() implies not domainMetaElement.oclIsUndefined()' description='Using \'Domain Specialization\' requires \'Domain Meta Element\' to be set'"

### setDomainSpecialization

    void setDomainSpecialization(Constraint value)

  Sets the value of the '`Domain Specialization`' containment reference.

  Parameters:
    `value` - the new value of the 'Domain Specialization' containment reference.
  See Also:
    `getDomainSpecialization()`
  ** Generated **

### getDomainInitializer

    ElementInitializer getDomainInitializer()

  Returns the value of the 'Domain Initializer' containment reference. Initializer for the domain model element associated with mapping

  Returns:
    the value of the 'Domain Initializer' containment reference.
  See Also:
    `setDomainInitializer(ElementInitializer)`, `GMFMapPackage.getMappingEntry_DomainInitializer()`
  ** Generated **
  Model:
    containment="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not domainInitializer.oclIsUndefined() implies not domainMetaElement.oclIsUndefined()' description='\'Domain Element\' must be set in mapping with \'Element Initializers\''"

### setDomainInitializer

    void setDomainInitializer(ElementInitializer value)

  Sets the value of the '`Domain Initializer`' containment reference.

  Parameters:
    `value` - the new value of the 'Domain Initializer' containment reference.
  See Also:
    `getDomainInitializer()`
  ** Generated **

### getLabelMappings

    org.eclipse.emf.common.util.EList<LabelMapping> getLabelMappings()

  Returns the value of the 'Label Mappings' containment reference list. The list contents are of type `LabelMapping`. It is bidirectional and its opposite is '`Map Entry`'.

  If the meaning of the 'Label Mappings' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label Mappings' containment reference list.
  See Also:
    `GMFMapPackage.getMappingEntry_LabelMappings()`, `LabelMapping.getMapEntry()`
  ** Generated **
  Model:
    opposite="mapEntry" containment="true"

### getRelatedDiagrams

    org.eclipse.emf.common.util.EList<CanvasMapping> getRelatedDiagrams()

  Returns the value of the 'Related Diagrams' reference list. The list contents are of type `CanvasMapping`. Diagrams that may be associated with this diagram element. It's up to client application to define what this association means (e.g. open diagram)

  Returns:
    the value of the 'Related Diagrams' reference list.
  See Also:
    `GMFMapPackage.getMappingEntry_RelatedDiagrams()`
  ** Generated **
  Model:

### getDomainContext

    org.eclipse.emf.ecore.EClass getDomainContext()

  This method simplifies OCL expressions (makes it easy to write for both Node and Link).

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.